Retrieve Audit Event

Beta
GET/v1/core/audit-events/{id}

This endpoint is idempotent. Learn more

Returns an audit event by ID.

idstring

Audit event ID.

include[]optional arrayenumValues:actorchangesmetadata

Sub-objects to expand in the response. When omitted, sub-objects are returned as null.

idstring

Audit event ID.

objectstringenumValues:audit_event

Resource type identifier.

actionstringenumValues:createupdatedelete

Mutation type.

resource_typestringenumValues:accountactorentity

Resource type of the audited entity.

resource_idstring

Audited resource ID.

actorobjectExpandablenullable

Actor who performed the mutation.

idstring

Actor ID.

objectstringenumValues:actor

Resource type identifier.

typestringenumValues:userapi_keyagent

Actor type.

namestringnullable

Display name.

handlestringnullable

Human-readable handle (email for users, redacted_value for API keys, slug for agents).

roleobjectnullable

Assigned role.

Always returned as null in this endpoint.
changesobjectExpandablenullable

Field-level changes recorded for this event.

objectstringenumValues:list

Resource type identifier.

page_infoobject

Pagination metadata.

next_page_urlstringnullable

URL to fetch the next page, null if no more pages.

previous_page_urlstringnullable

URL to fetch the previous page, null if on the first page.

has_next_pageboolean

Whether more results exist after this page.

has_prev_pageboolean

Whether results exist before this page.

dataarray of object

Resources in this page.

objectstringenumValues:audit_field_change

Resource type identifier.

fieldstring

Name of the changed field.

old_valueobjectnullable

Previous value as a JSON fragment. Null for creation events. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.

new_valueobjectnullable

New value as a JSON fragment. Null for deletion events. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.

metadataobjectExpandablenullable

Arbitrary JSON metadata for the mutation (e.g. reason, source, tags). Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.

requestobjectExpandablenullable

Originating HTTP request. Expandable.

idstring

Request log ID.

objectstringenumValues:request_log

Resource type identifier.

methodstring

HTTP method.

hoststring

Request host. Usually api.augno.com.

pathstring

Non-normalized request path.

normalized_routestring

Normalized route template. For example PATCH /v1/sales/customers/{id} is the normalized route for a request route PUT /v1/sales/customers/ac_....

query_paramsobjectnullable

Query parameters. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.

status_codeinteger

HTTP status code.

latency_usinteger

Request latency in microseconds.

api_versionstringnullable

API version used.

client_ipstringnullable

Client IP address.

user_agentstringnullable

User agent.

referrerstringnullable

Referrer header.

error_codestringnullable

API error code.

error_messagestringnullable

Error message.

occurred_atstring (date-time)

When the request occurred.

created_atstring (date-time)

When the log entry was created.

accountobjectnullable

Account targeted by the request.

Always returned as null in this endpoint.
actorobjectExpandablenullable

Actor who made the request.

Always returned as null in this endpoint.
idempotency_keystringnullable

User-provided idempotency key.

request_bodyobjectnullable

Request body. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.

response_bodyobjectnullable

Response body. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.

idempotency_keystringnullable

Idempotency key of the originating request.

source_ipstringnullable

Originating client IP address.

occurred_atstring (date-time)

When the audited mutation occurred.

created_atstring (date-time)

When the audit event record was created.

Responses

200

Successful response for Retrieve Audit Event